using System.ComponentModel;

namespace WCS.WorkEngineering.Worlds.Logs
{
    /// <summary>
    ///  异常类型
    /// </summary>
    public enum ErrorTypeEnum
    {
        /// <summary>
        ///  未知
        /// </summary>
        [Description("未知")]
        Unkown = 0,

        /// <summary>
        ///  已知
        /// </summary>
        [Description("已知")]
        Kown = 1
    }

    /// <summary>
    ///  日志级别
    /// </summary>
    public enum LogLevelEnum
    {
        /// <summary>
        ///  低
        /// </summary>
        [Description("低")]
        Low = 0,

        /// <summary>
        ///  中
        /// </summary>
        [Description("中")]
        Mid = 1,

        /// <summary>
        ///  高
        /// </summary>
        [Description("高")]
        High = 2
    }

    /// <summary>
    ///  日志上传类型
    /// </summary>
    public enum LogUpLoadEnum
    {
        /// <summary>
        ///  上抛
        /// </summary>
        [Description("不上抛")]
        NotUpLoad = 0,

        /// <summary>
        ///  上抛WMS
        /// </summary>
        [Description("上抛WMS")]
        UpLoadWMS = 1,
    }
}
